Update Bamboo build for Open JDK and Java 11 for AGS master branch

Description

Objective

Create a Bamboo branch that builds AGS master branch using the Open JDK for Java 11 in order to assess the impact of these changes.
AGS build uses OpenJDK 11 in Java 1.8 compatibility mode (bytecode is compatible with Java 1.8)

Note

  • Does this need a dependent ACS build also built using Java 11? Assume yes. Any 6.1 EA or Snapshot is suitable for this task.
    Update the AGS dependencies to the version compatible with  OpenJDK 11. - ACS repo latest release is 6.1.0 RC4

Outcome

  • Fix immediately or raise issues that are identified during this task.

  • The build doesn't have to be successful, but all discovered issues must be raised and understood.

  • Document how to setup the build. Text document is fine.

  • Identify which branches (other) need their builds to be updated and raise task(s) to complete work.

https://docs.google.com/document/d/1qz7QMh_2jBkkASqz9WhrA8X2vyc8pUQ5nsBB_n4XDhI/edit#heading=h.7ucjjw79l387

Activity

Show:
All Replies
October 16, 2018, 6:26 PM

[This comment has been reassigned to allreplies@alfresco.com as part of the Alfresco cloud migration project. The author of this comment was rgale] There was also an issue with the static agents not being OpenJDK ready this will need to be checked with Nebil as he was going to raise this with IT

Indy Sandhu
October 19, 2018, 1:38 AM
Edited

As per this comment, the static agents were updated with OpenJDK 11.

Rodica Sutu
April 9, 2019, 10:10 PM

Update the java version on the release jobs

Rodica Sutu
April 23, 2019, 6:49 PM

All the build plans for master branch have been updated to run with OpenJDK 11

All Replies
October 31, 2020, 10:06 AM

[This issue has been reassigned to allreplies@alfresco.com as part of the Alfresco cloud migration project. The reporter of this issue was royw]

Flagged

Assignee

Unassigned

Reporter

All Replies

Labels

None

Release Train

None

Delivery Team

None

Story Points

2

Time remaining

0m

Sprint

None

Fix versions

Priority